commit:     6088ca540e2d18b8812f8a46fac9d0b71d3b77e7
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Fri Jan 16 05:56:34 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jan 19 06:38:15 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6088ca54

net-misc/ices: add 2.0.3

license is GPL-2+
update HOMEPAGE with gitlab repo
patch for gettimeofday is no longer required with AC_HEADER_TIME
call eautoconf for clang instead of eautoreconf
remove sysconfdir, not used
disable roaraudio to prevent configure failure
fix pkg-config for libshout and xml2-config

install default configfile from ices-alsa.xml
install new initd/service with unprivileged user

Closes: https://bugs.gentoo.org/354859
Closes: https://bugs.gentoo.org/480698
Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>
Part-of: https://github.com/gentoo/gentoo/pull/45405
Closes: https://github.com/gentoo/gentoo/pull/45405
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/ices/Manifest            |  1 +
 net-misc/ices/files/ices.initd-r2 | 18 +++++++++
 net-misc/ices/files/ices.service  | 11 ++++++
 net-misc/ices/ices-2.0.3.ebuild   | 77 +++++++++++++++++++++++++++++++++++++++
 4 files changed, 107 insertions(+)

diff --git a/net-misc/ices/Manifest b/net-misc/ices/Manifest
index 6e63861600c0..8433bb4f5772 100644
--- a/net-misc/ices/Manifest
+++ b/net-misc/ices/Manifest
@@ -1 +1,2 @@
 DIST ices-2.0.2.tar.bz2 293818 BLAKE2B 
d037c6ce6e5d009a12fd9d8efba321b87562a0d492a5191a93b3ff991c1252af1aaa21c41b8171d6eaa9f518712d893b187765cab5a7a9de3560231ec4315b67
 SHA512 
ff257b478a7237886ba59bf7d1a494ebd4c7c12fd74e8e10c00ea65710249ead1b5b1ae8d9540fab05f2e4486949c6e350f3da59a1d1bf261397ca257806b2c7
+DIST ices-2.0.3.tar.bz2 330591 BLAKE2B 
2bb1a097d2c6aee8bf91f77068b379b8728180550c089102adcccd1154dba60ddcd47addbc2c6a43bc3cf2121a9aa8889b3794b136b6de29566c2740ce2858bf
 SHA512 
e17cd43cea621dbb9223377630eef4478e205f8c16d3b87b391c798ed1e47c7b5906546034f244eae1487c137fa371c5f40f6c80cbaf822aa875cb61ece38d1e

diff --git a/net-misc/ices/files/ices.initd-r2 
b/net-misc/ices/files/ices.initd-r2
new file mode 100644
index 000000000000..e8153f502f61
--- /dev/null
+++ b/net-misc/ices/files/ices.initd-r2
@@ -0,0 +1,18 @@
+#!/sbin/openrc-run
+# Copyright 1999-2026 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+: ${CONFIGFILE:=/etc/ices2/${RC_SVCNAME}.xml}
+
+description="Icecast OGG streaming client"
+pidfile="/run/${RC_SVCNAME}.pid"
+command="/usr/bin/ices"
+command_args="${CONFIGFILE}"
+command_user="${USER:-ices}:${GROUP:-ices}"
+command_background="true"
+required_files="${CONFIGFILE}"
+
+depend() {
+       need net
+       use icecast
+}

diff --git a/net-misc/ices/files/ices.service b/net-misc/ices/files/ices.service
new file mode 100644
index 000000000000..b7e2dfa0b529
--- /dev/null
+++ b/net-misc/ices/files/ices.service
@@ -0,0 +1,11 @@
+[Unit]
+Description=Icecast OGG streaming client
+After=network.target icecast.target
+ 
+[Service]
+User=ices
+Group=ices
+ExecStart=/usr/bin/ices /etc/ices2/ices.xml
+
+[Install]
+WantedBy=multi-user.target

diff --git a/net-misc/ices/ices-2.0.3.ebuild b/net-misc/ices/ices-2.0.3.ebuild
new file mode 100644
index 000000000000..83b9805689b9
--- /dev/null
+++ b/net-misc/ices/ices-2.0.3.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools eapi9-ver toolchain-funcs systemd
+
+DESCRIPTION="Icecast OGG streaming client, supports on the fly re-encoding"
+HOMEPAGE="https://icecast.org/ices/ https://gitlab.xiph.org/xiph/icecast-ices/";
+SRC_URI="https://downloads.xiph.org/releases/${PN}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+       acct-group/ices
+       acct-user/ices
+       dev-libs/libxml2:=
+       media-libs/alsa-lib
+       media-libs/libogg
+       media-libs/libshout
+       media-libs/libvorbis
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.0.2-libogg-test.patch
+)
+
+src_prepare() {
+       default
+
+       eautoconf #740794
+}
+
+src_configure() {
+       # used by xml2-config
+       tc-export PKG_CONFIG
+       # used for libshout
+       export ac_cv_path_PKGCONFIG="${PKG_CONFIG}"
+       local myeconfargs=(
+               --enable-alsa
+               --disable-roaraudio
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       local HTML_DOCS=( doc/*.{html,css} )
+
+       default
+
+       insinto /etc/ices2
+       insopts -m0640 -g ices
+       doins conf/*.xml
+       newins conf/ices-alsa.xml ices.xml
+
+       newinitd "${FILESDIR}"/ices.initd-r2 ices
+       systemd_dounit "${FILESDIR}"/${PN}.service
+
+       diropts -m0764 -o ices -g ices
+       dodir /var/log/ices
+       keepdir /var/log/ices
+
+       rm -r "${ED}"/usr/share/ices || die
+}
+
+pkg_postinst() {
+       if ver_replacing -lt 2.0.3; then
+               ewarn "Daemon is now launched with unprivileged ices:ices by 
OpenRC/systemd."
+               ewarn "To prevent permission conflicts, please check existing 
files/dir:"
+               ewarn "    ${EROOT}/etc/ices2/ices.xml"
+               ewarn "    ${EROOT}/var/log/ices"
+       fi
+}

Reply via email to